Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface LargeReportRecord

All Superinterfaces:
  java.io.Serializable

    public interface LargeReportRecord

extends java.io.Serializable

Interface `LargReportRecord` contains information of a large report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Return the catalog.
`long` | `getCompletedTime()` Return the completed time if the report runs over, else return -1.
`java.lang.String` | `getErrorMessage()` Return Error Message if the large Report Running wrongly.
`java.util.Properties` | `getParameters()` Return the parameter properties.
`java.lang.String` | `getQuery()` Return the HTTP query for "To Applet".
`java.lang.String` | `getReportName()` Return the report name.
`java.lang.String` | `getResult()` Return the report result.
`long` | `getStartedTime()` Return the started time of the report running.
`long` | `getTimeElapse()` Return time elapse in milliseconds if the report does not runs over, else return the running time.
`java.lang.String` | `getUserID()` Return the user ID.
`boolean` | `isCompleted()` Return if the report runs over.

Method Detail

### getUserID

    java.lang.String getUserID()

  Return the user ID.

  Returns:
    the user ID.

### getResult

    java.lang.String getResult()

  Return the report result.

  Returns:
    the report result.

### getCatalog

    java.lang.String getCatalog()

  Return the catalog.

  Returns:
    the catalog.

### getReportName

    java.lang.String getReportName()

  Return the report name.

  Returns:
    the report name.

### getParameters

    java.util.Properties getParameters()

  Return the parameter properties.

  Returns:
    the parameter properties.

### getQuery

    java.lang.String getQuery()

  Return the HTTP query for "To Applet".

  Returns:
    the HTTP query for "To Applet".

### getStartedTime

    long getStartedTime()

  Return the started time of the report running. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

  Returns:
    the started time of the report running. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

### isCompleted

    boolean isCompleted()

  Return if the report runs over.

  Returns:
    if the report runs over.

### getCompletedTime

    long getCompletedTime()

  Return the completed time if the report runs over, else return -1. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

  Returns:
    the completed time if the report runs over, else return -1. the number of milliseconds since January 1, 1970, 00:00:00 GMT.

### getTimeElapse

    long getTimeElapse()

  Return time elapse in milliseconds if the report does not runs over, else return the running time.

  Returns:
    time elapse in milliseconds if the report does not runs over, else return the running time.

### getErrorMessage

    java.lang.String getErrorMessage()

  Return Error Message if the large Report Running wrongly.

  Returns:
    Error Message if the large Report Running wrongly

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD